import Pannel from '@/components/pannel/index.vue';
import ScrollTable from '@/components/scroll-table/index.vue';
import { rankingOfDebtAmount } from '../../../../api/index.js';
import { mapGetters } from 'vuex';
export default {
  components: {
    ScrollTable,
    Pannel
  },
  computed: {
    ...mapGetters(['year', 'deptId'])
  },
  watch: {
    year: {
      handler () {
        this.getData();
      },
      immediate: true, // 立即执行
    },
    deptId: {
      handler () {
        this.getData();
      },
      immediate: true, // 立即执行
    }
  },
  data () {
    return {
      isLoad: false,
      headers: ['部门名称', '债务金额', '排名'],
      data: [['部门名称', '债务金额', '1']]
    };
  },
  created () {
  },
  mounted () {
  },
  methods: {
    getData () {
      if (this.year, this.deptId) {
        this.isLoad = false;
        rankingOfDebtAmount(this.deptId, this.year).then(res => {
          let data = res.rows.map(item => {
            return [item.name, item.value, item.index]
          })
          this.data = data;
          this.isLoad = true;
        })
      }
    }
  }
};
